import request from '@/utils/request'

// 查询物料签收任务中心列表
export function listTask(query) {
  return request({
    url: '/guide/task/list',
    method: 'get',
    params: query
  })
}

// 查询物料签收任务中心详细
export function getTask(query) {
  return request({
    url: '/guide/task/gettaskbyid',
    method: 'get',
    params: query
  })
}

// 新增物料签收任务中心
export function addTask(data) {
  console.log(data);
  return request({
    url: '/guide/task/addtaskmetar',
    method: 'post',
    data: data
  })
}

// 修改物料签收任务中心
export function updateTask(data) {
  return request({
    url: '/guide/task/updatemater',
    method: 'post',
    data: data
  })
}

// 删除物料签收任务中心
export function delTask(id) {
  return request({
    url: '/guide/task/' + id,
    method: 'delete'
  })
}
// 删除暂存中的门店
export function delSign(ids) {
  return request({
    url: '/guide/sign/' + ids,
    method: 'delete'
  })
}
// 导出物料签收任务中心
export function exportTask(query) {
  return request({
    url: '/guide/task/export',
    method: 'get',
    params: query
  })
}
// 查询门店列表
export function listStore(data) {
  return request({
    url: '/guide/sign/selectshop',
    method: 'post',
    data: data
  })
}

// 作废门店接口
export function addtaskcancel(query) {
  return request({
    url: '/guide/task/cancel',
    method: 'get',
    params: query
  })
}
// 恢复门店接口
export function returnStore(query) {
  return request({
    url: '/guide/sign/huifu',
    method: 'get',
    params: query
  })
}
// 发货接口
export function sendmater(query) {
  return request({
    url: '/guide/task/sendmater',
    method: 'get',
    params: query
  })
}
export function importSigntemp(query) {
  return request({
    url: '/guide/sign/importSigntemp',
    method: 'post',
    params: query
  })
}
